Update Manager upgrades only an existing installation of VMware Tools in a virtual machine running on a host of version ESXi 5.x or later.

Problem

You cannot upgrade VMware Tools because a virtual machine in incompatible compliance state cannot be remediated.

If no VMware Tools installation is detected on a virtual machine, a scan of the virtual machine against the VMware Tools Upgrade to Match Host baseline or a baseline group containing this baseline results in an incompatible compliance state of the virtual machine.

Results

Install VMware Tools manually, or right-click the virtual machine, and select Guest > Install/Upgrade VMware Tools.